GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
state_watcher Struct Reference

## Data Fields
grpc_iomgr_closure | closure
size_t | version
grpc_subchannel * | subchannel
grpc_connectivity_state | connectivity_state
gpr_mu | mu
callback_phase | phase
int | success
grpc_iomgr_closure | on_complete
grpc_alarm | alarm
grpc_connectivity_state | state
grpc_completion_queue * | cq
grpc_cq_completion | completion_storage
grpc_channel * | channel
void * | tag

## Field Documentation

grpc_alarm state_watcher::alarm

grpc_channel* state_watcher::channel

grpc_iomgr_closure state_watcher::closure

grpc_cq_completion state_watcher::completion_storage

grpc_connectivity_state state_watcher::connectivity_state

grpc_completion_queue* state_watcher::cq

gpr_mu state_watcher::mu

grpc_iomgr_closure state_watcher::on_complete

callback_phase state_watcher::phase

grpc_connectivity_state state_watcher::state

grpc_subchannel* state_watcher::subchannel

int state_watcher::success

void* state_watcher::tag

size_t state_watcher::version

The documentation for this struct was generated from the following files:

- src/core/client_config/subchannel.c
- src/core/surface/channel_connectivity.c